# SourcePath: ecryptfs-utils/20181224dev
Summary: eCryptfs is a cryptographic stacked Linux filesystem
Name: sony-target-dev-ecryptfs-utils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-ecryptfs-utils
Version:111 
Release: 14010004
Source: ecryptfs-utils-%{version}.tar.gz
#Patch1: ecryptfs-fix-disable-nss.patch
Patch2: ecryptfs-utils-openssl11.patch
URL: https://launchpad.net/ecryptfs
License: Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}

%description
eCryptfs is a cryptographic stacked Linux filesystem.eCryptfs stores 
cryptographic metadata in the header of each file written, 
so that encrypted files can be copied between hosts; 
the file will be decrypted with the proper key in the Linux kernel keyring. 

%package -n %{pkgname}
Summary: eCryptfs is a cryptographic stacked Linux filesystem
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
eCryptfs is a cryptographic stacked Linux filesystem.eCryptfs stores 
cryptographic metadata in the header of each file written, 
so that encrypted files can be copied between hosts; 
the file will be decrypted with the proper key in the Linux kernel keyring. 

%prep
%setup -n ecryptfs-utils-%{version} -q
#%patch1 -p1
%patch2 -p1

%build
%sony_target_dev_setup
%sony_target_dev_configure --enable-static --disable-gui --enable-pam --disable-openssl --disable-pkcs11-helper --disable-tspi CFLAGS="-I%{sony_host_include_dir} -lssl3" PAM_LIBS="-I%{sony_target_dir}%{sony_target_dev_include_dir}"
sed -i 's/-I\/usr\/include\/python2.7/-I\/usr\/local\/arm-sony-linux-gnueabi\/host\/include\/python2.7/g' src/libecryptfs-swig/Makefile
make CC="${CC}"


%install
rm -rf %{buildroot}
%sony_target_dev_setup
cd objdir
make install DESTDIR=%{buildroot}%{sony_target_dir}  

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_dir}/sbin/*
%{sony_target_dir}%{sony_target_dev_dir}/lib/*
%{sony_target_dir}%{sony_target_dev_bin_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/*
%{sony_target_dir}%{sony_target_dev_data_dir}/*
%{sony_target_dir}%{sony_target_dev_include_dir}/*

%changelog
* Thu Dec 12 2019 Sony Corporation
- Fixed .pc files installation path. 

* Tue May 21 2019 Sony Corporation
- Provided nss support.

* Mon Dec 24 2018 Sony Corporation
- Initial build.
